#!/usr/bin/perl
use DBI;

my $dsn = 'DBI:mysql:ikon:localhost';
my $db_user_name = 'ikonCron';
my $db_password = '';
my $dbh = DBI->connect($dsn, $db_user_name, $db_password);

my $sth;

# Number of hidden active in 5 min:

$sth = $dbh->prepare("select count(id) as HIDDEN from ib_active_sessions where (running_time + 300) > UNIX_TIMESTAMP(NOW()) AND log_in_type = 1");
$sth->execute();
my $hidden = $sth->fetchrow_array();
$sth->finish();
print "hidden:$hidden ";



#Number of guests active in 5 min:

$sth = $dbh->prepare("select count(*) as GUEST from ib_active_sessions where (running_time + 300) > UNIX_TIMESTAMP(NOW()) AND member_name IS NULL");
$sth->execute();
my $guests = $sth->fetchrow_array();
$sth->finish();
print "guest:$guests ";

#Number of regular active in 5 min:

$sth = $dbh->prepare("select count(*) as REGULAR from ib_active_sessions where (running_time + 300) > UNIX_TIMESTAMP(NOW()) AND  log_in_type = 0");
$sth->execute();
my $regular = $sth->fetchrow_array() - guests;
$sth->finish();
print "regular:$regular";

